kind: Pod
apiVersion: v1
metadata:
  generateName: warm-win2019-br-vm-1120-inspection-
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.1.1/23"],"mac_address":"0a:58:0a:80:01:01","gateway_ips":["10.128.0.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.0.1"}],"ip_address":"10.128.1.1/23","gateway_ip":"10.128.0.1","role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "mtv-test/br-eno8403",
          "interface": "eth0",
          "ips": [
              "192.168.20.5"
          ],
          "mac": "e6:c4:eb:3a:ad:96",
          "default": true,
          "dns": {},
          "gateway": [
              "192.168.20.1"
          ]
      }]
    openshift.io/scc: forklift-controller-scc
    seccomp.security.alpha.kubernetes.io/pod: localhost/profiles/unshare.json
    security.openshift.io/validated-scc-subject-type: user
    v1.multus-cni.io/default-network: mtv-test/br-eno8403
  resourceVersion: '22204717'
  name: warm-win2019-br-vm-1120-inspection-g64gv
  uid: 0c75692a-98a3-41d8-92cd-588eabb64fb7
  creationTimestamp: '2025-11-02T08:56:32Z'
  generation: 1
  managedFields:
    - manager: dell-per750-44.lab.eng.pek2.redhat.com
      operation: Update
      apiVersion: v1
      time: '2025-11-02T08:56:32Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
      subresource: status
    - manager: forklift-controller
      operation: Update
      apiVersion: v1
      time: '2025-11-02T08:56:32Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:v1.multus-cni.io/default-network': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:forklift.app': {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"secret-volume"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
            'k:{"name":"vddk-vol-mount"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"virt-v2v-inspection"}':
              'f:envFrom': {}
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/secret"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/opt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:memory': {}
              'f:env':
                'k:{"name":"V2V_remoteInspection"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_source"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_remoteInspectDisk_0"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_vmName"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_staticIPs"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"LOCAL_MIGRATION"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                .: {}
                'k:{"name":"V2V_fingerprint"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_extra_args"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_HOSTNAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_libvirtURL"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_preserveStaticIPs"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":2112,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:initContainers':
            .: {}
            'k:{"name":"vddk-side-car"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/opt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:enableServiceLinks': {}
          'f:securityContext':
            .: {}
            'f:fsGroup': {}
            'f:runAsNonRoot': {}
            'f:runAsUser': {}
            'f:seccompProfile':
              .: {}
              'f:localhostProfile': {}
              'f:type': {}
          'f:affinity':
            .: {}
            'f:podAntiAffinity':
              .: {}
              'f:preferredDuringSchedulingIgnoredDuringExecution': {}
    - manager: multus-daemon
      operation: Update
      apiVersion: v1
      time: '2025-11-02T08:56:33Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2025-11-02T09:01:25Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:hostIP': {}
          'f:phase': {}
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIPs': {}
          'f:podIP': {}
          'f:startTime': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"192.168.20.5"}':
              .: {}
              'f:ip': {}
          'f:initContainerStatuses': {}
      subresource: status
  namespace: mtv-test
  labels:
    forklift.app: virt-v2v-inspection
    migration: e8326f56-4fa9-4604-9b55-93d43a835105
    plan: 41df9441-30a5-4d4f-9e01-fcfce198bf3f
    vmID: vm-1120
spec:
  nodeSelector:
    kubevirt.io/schedulable: 'true'
  restartPolicy: Never
  initContainers:
    - name: vddk-side-car
      image: 'quay.io/libvirt_v2v_cnv/vddk:7.0.3'
      resources:
        limits:
          cpu: '1'
          memory: 500Mi
        requests:
          cpu: 100m
          memory: 150Mi
      volumeMounts:
        - name: vddk-vol-mount
          mountPath: /opt
        - name: kube-api-access-s7fh6
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      imagePullPolicy: IfNotPresent
      securityContext:
        capabilities:
          drop:
            - ALL
        allowPrivilegeEscalation: false
  serviceAccountName: default
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 100
          podAffinityTerm:
            labelSelector:
              matchExpressions:
                - key: forklift.app
                  operator: In
                  values:
                    - virt-v2v
            topologyKey: kubernetes.io/hostname
            namespaceSelector: {}
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: dell-per750-44.lab.eng.pek2.redhat.com
  securityContext:
    runAsUser: 107
    runAsNonRoot: true
    fsGroup: 107
    seccompProfile:
      type: Localhost
      localhostProfile: profiles/unshare.json
  containers:
    - resources:
        limits:
          cpu: '4'
          devices.kubevirt.io/kvm: '1'
          memory: 8Gi
        requests:
          cpu: '1'
          devices.kubevirt.io/kvm: '1'
          memory: 1Gi
      terminationMessagePath: /dev/termination-log
      name: virt-v2v-inspection
      env:
        - name: V2V_preserveStaticIPs
          value: 'true'
        - name: V2V_HOSTNAME
          value: WIN-HFJMM8K3DD1
        - name: V2V_vmName
          value: mtv-esx7-win2019
        - name: V2V_libvirtURL
          value: 'vpx://administrator%40vsphere.local@10.73.212.179/data/host/cluster/10.73.212.38?no_verify=1'
        - name: V2V_source
          value: vSphere
        - name: V2V_fingerprint
          value: '80:D0:7D:FE:E1:28:7E:4A:20:EA:93:B1:F2:2D:47:76:DB:F4:83:20'
        - name: V2V_extra_args
          value: '[]'
        - name: V2V_staticIPs
          value: '00:50:56:92:3b:d5:ip:10.73.213.18,10.73.213.254,23,10.72.17.5,10.68.5.26'
        - name: LOCAL_MIGRATION
          value: 'true'
        - name: V2V_remoteInspection
          value: 'true'
        - name: V2V_remoteInspectDisk_0
          value: '[mtv-v7-function] mtv-esx7-win2019/mtv-esx7-win2019.vmdk'
      securityContext:
        capabilities:
          drop:
            - ALL
        allowPrivilegeEscalation: false
      ports:
        - name: metrics
          containerPort: 2112
          protocol: TCP
      imagePullPolicy: Always
      volumeMounts:
        - name: vddk-vol-mount
          mountPath: /opt
        - name: secret-volume
          readOnly: true
          mountPath: /etc/secret
        - name: kube-api-access-s7fh6
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      envFrom:
        - prefix: V2V_
          secretRef:
            name: warm-win2019-br-vm-1120-jk27v
      image: 'registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel9@sha256:b434d3f5e16aabc4350cf41291342903b5d93ee9de2624ac21bb4f6aa765b6bb'
  serviceAccount: default
  volumes:
    - name: vddk-vol-mount
      emptyDir: {}
    - name: secret-volume
      secret:
        secretName: warm-win2019-br-vm-1120-jk27v
        defaultMode: 420
    - name: kube-api-access-s7fh6
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  containerStatuses:
    - restartCount: 0
      started: false
      ready: false
      resources:
        limits:
          cpu: '4'
          devices.kubevirt.io/kvm: '1'
          memory: 8Gi
        requests:
          cpu: '1'
          devices.kubevirt.io/kvm: '1'
          memory: 1Gi
      name: virt-v2v-inspection
      user:
        linux:
          uid: 107
          gid: 107
          supplementalGroups:
            - 107
            - 36
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2025-11-02T08:59:32Z'
          finishedAt: '2025-11-02T09:01:23Z'
          containerID: 'cri-o://9997ebb303d2d658e89297f382e8ca1eda85da72c27fcb72f2cddaac3d9471f7'
      volumeMounts:
        - name: vddk-vol-mount
          mountPath: /opt
        - name: secret-volume
          mountPath: /etc/secret
          readOnly: true
          recursiveReadOnly: Disabled
        - name: kube-api-access-s7fh6
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: 'registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel9@sha256:b434d3f5e16aabc4350cf41291342903b5d93ee9de2624ac21bb4f6aa765b6bb'
      image: 'registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel9@sha256:b434d3f5e16aabc4350cf41291342903b5d93ee9de2624ac21bb4f6aa765b6bb'
      lastState: {}
      containerID: 'cri-o://9997ebb303d2d658e89297f382e8ca1eda85da72c27fcb72f2cddaac3d9471f7'
      allocatedResources:
        cpu: '1'
        devices.kubevirt.io/kvm: '1'
        memory: 1Gi
  qosClass: Burstable
  hostIPs:
    - ip: 10.73.72.54
  podIPs:
    - ip: 192.168.20.5
  podIP: 192.168.20.5
  hostIP: 10.73.72.54
  startTime: '2025-11-02T08:56:32Z'
  initContainerStatuses:
    - restartCount: 0
      started: false
      ready: true
      resources:
        limits:
          cpu: '1'
          memory: 500Mi
        requests:
          cpu: 100m
          memory: 150Mi
      name: vddk-side-car
      user:
        linux:
          uid: 107
          gid: 0
          supplementalGroups:
            - 0
            - 107
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2025-11-02T08:57:10Z'
          finishedAt: '2025-11-02T08:57:11Z'
          containerID: 'cri-o://2e41dc31cb1aad958933e91c9d1eecf117e9dc3376dfed7634cdcdacdcc84f78'
      volumeMounts:
        - name: vddk-vol-mount
          mountPath: /opt
        - name: kube-api-access-s7fh6
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: 'quay.io/libvirt_v2v_cnv/vddk@sha256:e6dcc3e75599c687f4d6366a26776e678efb48cd8d9b11cfe4b9e6d460fc9ee9'
      image: 'quay.io/libvirt_v2v_cnv/vddk:7.0.3'
      lastState: {}
      containerID: 'cri-o://2e41dc31cb1aad958933e91c9d1eecf117e9dc3376dfed7634cdcdacdcc84f78'
      allocatedResources:
        cpu: 100m
        memory: 150Mi
  conditions:
    - type: PodReadyToStartContainers
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-11-02T09:01:25Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-11-02T08:57:11Z'
      reason: PodCompleted
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-11-02T09:01:24Z'
      reason: PodCompleted
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-11-02T09:01:24Z'
      reason: PodCompleted
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-11-02T08:56:32Z'
  phase: Succeeded
